Package com.smartgwt.client.util.workflow

# Class XORGateway

java.lang.Object
com.smartgwt.client.core.BaseClass
com.smartgwt.client.util.workflow.ProcessElement
com.smartgwt.client.util.workflow.DecisionTask
com.smartgwt.client.util.workflow.XORGateway

All Implemented Interfaces:
  `HasHandlers`

public class XORGateway extends DecisionTask
Chooses one or another next process element based on AdvancedCriteria applied to `Process.state`.

If the AdvancedCriteria evaluate to true, the `nextElement` is chosen, otherwise the `failureElement`.

Note that "XOR" in `XORGateway` means "exclusive or" - only one next element is chosen.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.BaseClass

  `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XORGateway()`
  `XORGateway(JavaScriptObject jsObj)`
  `XORGateway(String ID, ProcessElement nextElement, ProcessElement failureElement)`
  `XORGateway(String ID, String nextElement, String failureElement)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JavaScriptObject`
  `create()`
  `static XORGateway`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `void`
  `setFailureElement(ProcessElement failureElement)`
  `void`
  `setNextElement(ProcessElement nextElement)`

  ### Methods inherited from class com.smartgwt.client.util.workflow.DecisionTask

  `getCriteria, getFailureElement, getNextElement, setCriteria, setFailureElement, setNextElement`

  ### Methods inherited from class com.smartgwt.client.util.workflow.ProcessElement

  `completeElement, convertToJavaScriptArray, executeElement, getBindOutput, getClassDescription, getComponentReferences, getCurrentProcess, getDescription, getDynamicValue, getEditorType, getElementDescription, getForceSingle, getID, getInstanceDescription, getInstanceTitle, getInvalidTaskMessage, getJsObj, getMockMode, getOrCreateJsObj, getPassThruOutput, getProcessElements, getSupportsMultipleInputRecords, getTextFormulaValue, getTypeTitle, getUndefinedComponentMessage, getUnresolvedComponentMessage, getWaitDuration, getWaitFor, getWaitLocator, isCreated, isValid, objectReferencesLastTaskOutput, onInit, reset, setAttribute, setBindOutput, setClassDescription, setCurrentProcess, setDescription, setEditorType, setForceSingle, setID, setJavaScriptObject, setMockMode, setPassThruOutput, setSupportsMultipleInputRecords, setTypeTitle, setUndefinedComponentMessage, setUnresolvedComponentMessage, setWaitDuration, setWaitFor, setWaitLocator, updateGlobalIDInCriteria, updateGlobalIDInTextFormula, updateGlobalIDInValueProperty, updateGlobalIDInValues, updateGlobalIDReferences, updateLastElementBindingReferences, updateLastElementInCriteria, updateLastElementInValueProperty, updateLastElementInValues`

  ### Methods inherited from class com.smartgwt.client.core.BaseClass

  `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XORGateway

    public XORGateway()

  - ### XORGateway

    public XORGateway(JavaScriptObject jsObj)

  - ### XORGateway

    public XORGateway(String ID, String nextElement, String failureElement)

  - ### XORGateway

    public XORGateway(String ID, ProcessElement nextElement, ProcessElement failureElement)

- ## Method Details

  - ### getOrCreateRef

    public static XORGateway getOrCreateRef(JavaScriptObject jsObj)

  - ### create

    public JavaScriptObject create()
    Overrides:
      `create` in class `DecisionTask`

  - ### setFailureElement

    public void setFailureElement(ProcessElement failureElement) throws IllegalStateException
    Throws:
      `IllegalStateException`
    See Also:
      - `DecisionTask.setFailureElement(String)`

  - ### setNextElement

    public void setNextElement(ProcessElement nextElement) throws IllegalStateException
    Throws:
      `IllegalStateException`
    See Also:
      - `DecisionTask.setNextElement(java.lang.String)`